AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Uganda Mobile Money

Receive mobile money payments from customers in Uganda.
We recommend you read the method overview before you proceed.

Last updated 13 September 2026

Receive mobile money payments from customers in Uganda. We recommend you read the method overview before you proceed.

post

https://api.flutterwave.com/v3/charges?type=mobile_money_uganda

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to be charged.

currency string required
This is the specified currency to charge in. (expected value: UGX)

email string required
This is the email address of the customer

tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.

phone_number string required
This is the phone number linked to the customer's mobile money account

order_id string
Unique identifier for the mobilemoney transaction to be provided by the merchant

fullname string
This is the customers full name. It should include first and last name of the customer

client_ip string
IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used

meta object
This is used to include additional payment information

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

redirect_url string

voucher int 32
This is the voucher code generated by the customer. It is meant to be passed in the initial charge request. (only for Vodafone cash)

network string
This is the customer's mobile money network provider

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

redirect string

mode string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys